# Group7


## Instructions
The README.md file should contain the following information, provided in a clear, complete, self-contained, and terse manner. Do not assume that the reader has any specific familiarity with our course this semester - only a general familiarity with the course's technical content:
- Documentation
    - description of the problem
    - group members (together with any information you feel comfortable including: pictures, e-mails, etc.)
    - a high-level description of the implementation, with particular emphasis on the design decisions related to data structures and algorithms
    - a list of the features (from the project proposal) that have been implemented:
        - for each feature implemented, provide:
            - its stated value (percentage of feature grade), and
            - a description of how it was implemented with an emphasis on data structures and algorithms used.
        - if you have changed (added or removed) a feature from your [InitialProjectDefense](https://agile.bu.edu/gitlab/ec504/ec504_projects/group7/-/wikis/Initial-Project-Defense), please also provide an explanation of the change.
    - relevant references and background materials.
- Code
    - A link to the branch containing all complete, working Java 17 code used in your implementation (capable of being run on a lab machine).
    - A link to the folder containing all data needed by your project to run (ideally in your repo, or in a simple, publicly accessible location if there is too much data for our server).
    - A link to a folder containing all testing code utilized to observe the correctness of your code.
- Work breakdown
    - A detailed statement of what each member of the group contributed to the project, signed by all members of the group.
    - You may keep this private instead, if you wish, by e-mailing it directly to the instructor (trachten@bu.edu), cc'ed to the entire group.